CVE-2017-15574

NameCVE-2017-15574
DescriptionIn Redmine before 3.2.6 and 3.3.x before 3.3.3, stored XSS is possible by using an SVG document as an attachment.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4191-1
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
redmine (PTS)wheezy1.4.4+dfsg1-2+deb7u1vulnerable
jessie3.0~20140825-8~deb8u4vulnerable
jessie (security)3.0~20140825-8~deb8u2vulnerable
stretch3.3.1-4vulnerable
stretch (security)3.3.1-4+deb9u1fixed
sid3.4.5-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
redminesource(unstable)3.4.2-1medium
redminesourcejessie(unfixed)end-of-life
redminesourcestretch3.3.1-4+deb9u1mediumDSA-4191-1
redminesourcewheezy(unfixed)end-of-life

Notes

[jessie] - redmine <end-of-life> (See DSA-4191-1)
[wheezy] - redmine <end-of-life> (Not supported in wheezy LTS)
https://www.redmine.org/projects/redmine/wiki/Security_Advisories
https://www.redmine.org/issues/24199 (private)
upstream fixed in 3.2.6 and 3.3.3

Search for package or bug name: Reporting problems